## gsasl-version.h

gsasl-version.h — version symbols

## Types and Values

#define | GSASL_VERSION
#define | GSASL_VERSION_MAJOR
#define | GSASL_VERSION_MINOR
#define | GSASL_VERSION_PATCH
#define | GSASL_VERSION_NUMBER

## Description

The gsasl-version.h file contains version symbols. It should not be included directly, only via gsasl.h.

## Functions

## Types and Values

### GSASL_VERSION

    # define GSASL_VERSION "2.2.2"

Pre-processor symbol with a string that describe the header file version number. Used together with `gsasl_check_version()` to verify header file and run-time library consistency.

### GSASL_VERSION_MAJOR

    # define GSASL_VERSION_MAJOR 2

Pre-processor symbol with a decimal value that describe the major level of the header file version number. For example, when the header version is 1.2.3 this symbol will be 1.

Since: 1.1

### GSASL_VERSION_MINOR

    # define GSASL_VERSION_MINOR 2

Pre-processor symbol with a decimal value that describe the minor level of the header file version number. For example, when the header version is 1.2.3 this symbol will be 2.

Since: 1.1

### GSASL_VERSION_PATCH

    # define GSASL_VERSION_PATCH 2

Pre-processor symbol with a decimal value that describe the patch level of the header file version number. For example, when the header version is 1.2.3 this symbol will be 3.

Since: 1.1

### GSASL_VERSION_NUMBER

    # define GSASL_VERSION_NUMBER 0x020202

Pre-processor symbol with a hexadecimal value describing the header file version number. For example, when the header version is 1.2.3 this symbol will have the value 0x010203.

Since: 1.1